//--------------------------------------------------------------------
//
// DISCOUNT: Display-Controller
//
// Stellt einen 8-Bit-Speicher auf einem Video-Monitor monochrom dar
// (Aufloesung 640x192, Bildfrequenz 50 Hz).
//
//--------------------------------------------------------------------

`ifdef DISCOUNT_DEFS_V
`else
`define DISCOUNT_DEFS_V

`timescale 1ps / 1ps
`define res_320 1
`ifdef  res_320
                                // horizontale Parameter in Takten:
`define H1    48 //96                // linker Bildrand
`define H    320 //640                // Bildpunkte
`define H2    44//88                // rechter Bildrand
`define H3    44//88                // horizontale Synchronisation
`define Hline `H1+`H+`H2+`H3    // Zeilenlaenge

                                // vertikale Parameter in Zeilen:
`define V1   60// 58                // oberer Bildrand
`define V    200//192                // Bildbereich
`define V2    50//48                // unterer Bildrand
`define V3    16                // vertikale Synchronisation
`define Vframe `V1+`V+`V2+`V3   // Bildaufbau in Zeilen

`else
`define H1    96                // linker Bildrand
`define H    640                // Bildpunkte
`define H2   88                // rechter Bildrand
`define H3   88                // horizontale Synchronisation
`define Hline `H1+`H+`H2+`H3    // Zeilenlaenge

                                // vertikale Parameter in Zeilen:
`define V1   58                // oberer Bildrand
`define V    192                // Bildbereich
`define V2   48                // unterer Bildrand
`define V3    16                // vertikale Synchronisation
`define Vframe `V1+`V+`V2+`V3   // Bildaufbau in Zeilen
`endif

// Definitionen
//`define Asz   14                // Adressbreite
`define Asz   15                // Adressbreite (RAM-Version)
`define Dsz    8                // Datenbreite
`define Bsz    8                // Byte-Breite
`define Msz   (`H)*(`V) / `Bsz  // Speichergroesse
`define Rsz   10                // Registerbreite H../V..

`endif
